PS4 News on Facebook! PS4 News on Twitter! PS4 News on YouTube! PS4 News RSS Feed!

Home PS4 News - Latest PlayStation 4 and PS3 News

June 10, 2011 // 3:43 am - Today an anonymous author has released an Easy Spoof TCL Mod 6.66 to 9.90 for use with PS3 MFW Builder and also a PS3 Advanced Mode Patch for PlayStation 3 Custom Firmware users on Rebug PS3 CFW v3.55.1 followed by a PS3 Firmware v3.66 Spoof Plug-In for MFW Builder via French site PS3-Addict.

Download: PS3 Easy Spoof TCL Mod 6.66 to 9.90 / PS3 Easy Spoof TCL Mod 6.66 to 9.90 (Fixed) / PS3 Advanced Mode Patch for Rebug CFW / PS3 Firmware v3.66 Spoof Plug-In for MFW Builder

Those using the PS3 Easy Spoof TCL Mod 6.66 to 9.90 should be aware that it will only spoof the PS3 Firmware version number, meaning while it will prevent the PS3 from updating it won't allow PSN access or running newer PlayStation 3 titles and the risk of not being able to downgrade or update your console again is always present when using such applications.

Shortly following, PS3 hacker Cyberskunk shared a fixed version (above) adding the following: The first version was buggy, and did not run correctly. Our thanks to unknown for quickly fixing the problem!

Easy Spoof version to apply into a new CFW based on OFW for PS3mfw builder.

  • Included spoof version; 3.15 to 3.65 and 6.66/9.90 if you need it.
  • Fixed: Sorry for the inconvenience, I forgot to edit another name from the command line, lol, ... now work!

Advanced Mode = 2 x Debug Menu 2, No Debug Menu 1, No NORMAL Mode (Forces you to use Recovery Mode to install any other OFW/CFW).

Finally, the PS3 Advanced Mode Patch enables a Debug menu similar to the QA Flag one for PlayStation 3 Custom Firmware users with features detailed below, to quote:

BSPatch to apply on Untouched Original CFW REBUG 3.55.1 which enables advanced mode

  • Debug Settings: MENU 2 (DEX)
  • Fixed black screens in game boot, including originals BD games from Official CFW Version
  • New user icons
  • HeavyRain theme installed
  • NO LV1 patch’s for OtherOS++ support because this cause Trophy errors
  • Spoof Version 3.61 from dev_blind package
  • (and more, hint hint)



PS3 Easy Spoof TCL Mod and Advanced Mode CFW Patch Arrives

PS3 Easy Spoof TCL Mod and Advanced Mode CFW Patch Arrives

Follow us on Twitter, Facebook and drop by the PS3 Hacks and PS3 CFW forums for the latest PlayStation 3 scene and PS4 Hacks & JailBreak updates with PlayStation 4 homebrew PS4 Downloads.



#7 - elser1 - June 10, 2011 // 6:57 am
elser1's Avatar
Quote Originally Posted by nuttyselo View Post
can i use this for 3.55 kmeaw? and is this working for 3.6x games without any fix?

yes you can play all the newest games until firmware 9.99 with this.. but barry do you think it would be able to "downgrade" to a higher actual fw with the spoofer.. will be interesting to see what actually happens.. reminds me of y2k bug.. LOL

oh and you cant actually play 3.60 games just with the spoofer obviously.. read the "news post" it tells you that there.. LOL

#6 - nuttyselo - June 10, 2011 // 6:48 am
nuttyselo's Avatar
can i use this for 3.55 kmeaw? and is this working for 3.6x games without any fix?

#5 - barrybarryk - June 10, 2011 // 6:39 am
barrybarryk's Avatar
well in theory no it's just during the downgrade process the firmware currently on the PS3 is irrelevant so you could "downgrade" from 3.55 with a 9.99 spoof to 3.60 or any other viable firmware. I'm not sure though I don't use spoofers or anything but if downgrading allows you to install any firmware version then in theory it should work.

#4 - elser1 - June 10, 2011 // 6:08 am
elser1's Avatar
so you would downgrade to-3.50 then upgrade?

#3 - barrybarryk - June 10, 2011 // 4:06 am
barrybarryk's Avatar
You'd have to use the downgrade process I guess since it will keep saying a newer version is already installed.

#2 - PS4 News - June 10, 2011 // 4:05 am
PS4 News's Avatar
That it may indeed, which is why I wrote "the risk of not being able to downgrade or update your console again is always present when using such applications" above. I don't use any of this spoof stuff though, if anyone does give it a try feel free to report back your results.

#1 - Tidusnake666 - June 10, 2011 // 4:01 am
Tidusnake666's Avatar
Just a neat question, if I install 9.90 spoof, will it be possible to install 3.60 or any later FW?

I'm not speculating on any 3.60+ CFW, no-no-no, I'm just trying to guess, wouldn't this abnormal high spoof keep you from installling your normal FW later on.